diff -r 937966b77a10 lib/galaxy/webapps/galaxy/controllers/root.py
--- a/lib/galaxy/webapps/galaxy/controllers/root.py	Fri Jan 11 16:00:01 2013 -0800
+++ b/lib/galaxy/webapps/galaxy/controllers/root.py	Mon Jan 14 17:14:17 2013 +0100
@@ -12,7 +12,9 @@
 log = logging.getLogger( __name__ )
 
 class RootController( BaseUIController, UsesHistoryMixin, UsesAnnotations ):
-    
+    @web.expose
+    def central( self, trans ):
+        return trans.fill_template('/welcome.mako')
     @web.expose
     def default(self, trans, target1=None, target2=None, **kwd):
         return 'This link may not be followed from within Galaxy.'
diff -r 937966b77a10 templates/root/index.mako
--- a/templates/root/index.mako	Fri Jan 11 16:00:01 2013 -0800
+++ b/templates/root/index.mako	Mon Jan 14 17:14:17 2013 +0100
@@ -124,7 +124,7 @@
     elif m_c is not None:
         center_url = h.url_for( controller=m_c, action=m_a )
     else:
-        center_url = h.url_for( '/static/welcome.html' )
+        center_url = h.url_for( controller='root', action='central'  )
     %>
     
     <div style="position: absolute; width: 100%; height: 100%">
diff -r 937966b77a10 templates/welcome.mako
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/templates/welcome.mako	Mon Jan 14 17:14:17 2013 +0100
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <link rel="stylesheet" type="text/css" href="${h.url_for('/static/style/base.css')}"/>
+</head>
+<body>
+    <div class="document">
+        <h1 class="title">Welcome to Galaxy</h1>
+	</div>
+    %if trans.user:
+	    %if trans.user.requests or trans.app.security_agent.get_accessible_request_types( trans, trans.user ):
+	      <div class="warningmessagelarge">			     
+	        <strong>Submit a NGS sequencing request</strong>
+	        <hr><a target="_top" href="${h.url_for(controller='requests', action='index')}">Go to the Lab</a></hr>
+	      </div>
+            %endif
+	    <div class="infomessagelarge">
+	      <strong>Look through our data libraries</strong>
+	      <hr><a target="_top" href="${h.url_for(controller='library')}">Shared Data</a></hr>
+	    </div>
+            <br/>
+    %else:
+	    <div class="warningmessagelarge">
+              <strong>Please login</strong>
+	      <hr><a href="${h.url_for(controller='user', action='login')}">Click here</a> to make full use of this instance.</hr>
+            </div>
+	%endif
+    <div>
+        <hr/>
+          This project is supported in part by <a target="_blank" class="reference" href="http://www.nsf.gov">NSF</a>, <a target="_blank" class="reference" href="http://www.genome.gov">NHGRI</a>, and <a target="_blank" class="reference" href="http://www.huck.psu.edu">the Huck Institutes of the Life Sciences</a>.
+    </div>
+  </body>
+</html>
